Subject: Re: how to track changes of a file

From: Johannes Sixt <[email-masked]>
Date: Mon, 16 Jun 2008 18:08:35 +0200

bill lam schrieb:
> Johannes Sixt wrote:
>> $ git rev-list -3 -- glinvc03.ijs
>>
>>
>> $ git show {23335c,31e4f2,b515f0}:glinvc03.ijs
> 
> Thank for you help, but these 2 command did not work, did I missing
> something? I I use git version 1.5.4.3 on linux.
> 
> $ git rev-list -3 -- glinvc03.ijs
> usage: git-rev-list [OPTION] <commit-id>... [ -- paths... ]

Sorry, should have been

$ git rev-list -3 HEAD -- glinvc03.ijs

But this is not intended for daily use anyway. You are better off using
git log family of commands. Eg. if you insist on a 1-commit-per-line
listing, you'd use

$ git log -3 --pretty=oneline -- glinvc03.ijs

> $ git show {23335c,31e4f2,b515f0}:glinvc03.ijs
> fatal: ambiguous argument '23335c:glinvc03.ijs': unknown revision or
> path not in the working tree.
> Use '--' to separate paths from revisions

My guess is that glinvc03.ijs lives in a subdirectory of your repo. Then
you must supply the complete path from the repository root:

$ git show {23335c,31e4f2,b515f0}:some/subdir/glinvc03.ijs

(No, this will not be changed.)

-- Hannes